package com.yunzhupaas.base.service;

import com.yunzhupaas.base.service.SuperService;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yunzhupaas.base.entity.EmailConfigEntity;
import com.yunzhupaas.base.entity.SysConfigEntity;
import com.yunzhupaas.model.BaseSystemInfo;

import java.util.List;

/**
 * 系统配置
 *
 * @author 云筑产品开发平台组
 * @version V3.1.0
 * @copyright 深圳市乐程软件有限公司
 * @date 2023/09/27
 */
public interface SysconfigService extends SuperService<SysConfigEntity> {

    /**
     * 列表
     *
     * @param type 类型
     * @return ignore
     */
    List<SysConfigEntity> getList(String type);

    /**
     * 信息
     *
     * @return ignore
     */
    BaseSystemInfo getWeChatInfo();

    /**
     * 获取系统配置信息
     *
     * @return ignore
     */
    BaseSystemInfo getSysInfo();

    /**
     * 保存系统配置
     *
     * @param entitys 实体对象
     */
    void save(List<SysConfigEntity> entitys);

    /**
     * 保存公众号配置
     *
     * @param entitys 实体对象
     * @return ignore
     */
    boolean saveMp(List<SysConfigEntity> entitys);

    /**
     * 保存企业号配置
     *
     * @param entitys 实体对象
     */
    void saveQyh(List<SysConfigEntity> entitys);

    /**
     * 邮箱验证
     *
     * @param configEntity ignore
     * @return ignore
     */
    String checkLogin(EmailConfigEntity configEntity);

    /**
     * 根据key获取value
     * @param keyStr
     * @return
     */
    String getValueByKey(String keyStr);
}

